--勾选去除所有提示框，定时执行14秒，此验证不影响回收脚本，无需合并
--过验证码过程中，不能手动干扰，让他自动，比如移动，每移动一步，他会换掉
pp=提示框内容
k1=string.find(pp,"上面提示信息按回车发",1,true)
if k1~=nil then
	--输出信息("发现有验证提示框")
	停止战斗()
	等待(1000)
mosuzi={}
mosuzi[0]="BBAAAAAABBAABBBBBBAAAABBBBBBAAAABBBBBBAAAABBBBBBAAAABBBBBBAAAABBBBBBAABBAAAAAABB"
mosuzi[1]="BBBBAABBBBBBAAAABBBBBBBBAABBBBBBBBAABBBBBBBBAABBBBBBBBAABBBBBBBBAABBBBBBAAAAAABB"         
mosuzi[2]="BBAAAAAABBAABBBBBBAAAABBBBBBAABBBBBBAABBBBBBAABBBBBBAABBBBBBAABBBBBBBBAAAAAAAAAA"
mosuzi[3]="BBAAAAAABBAABBBBBBAABBBBBBBBAABBBBAAAABBBBBBBBBBAABBBBBBBBAAAABBBBBBAABBAAAAAABB"
mosuzi[4]="BBBBBBAABBBBBBAAAABBBBAABBAABBBBAABBAABBAABBBBAABBBBAAAAAAAABBBBBBAABBBBBBBBAAAA"
mosuzi[5]="AAAAAAAAAAAABBBBBBBBAABBBBBBBBAAAAAAAABBBBBBBBBBAABBBBBBBBAAAABBBBBBAABBAAAAAABB"
mosuzi[6]="BBAAAAAABBAABBBBAABBAABBBBBBBBAAAAAAAABBAABBBBBBAAAABBBBBBAAAABBBBBBAABBAAAAAABB"
mosuzi[7]="AAAAAAAAAAAABBBBAABBBBBBBBAABBBBBBAABBBBBBBBAABBBBBBBBAABBBBBBBBAABBBBBBBBAABBBB"
mosuzi[8]="BBAAAAAABBAABBBBBBAAAABBBBBBAABBAAAAAABBAABBBBBBAAAABBBBBBAAAABBBBBBAABBAAAAAABB"
mosuzi[9]="BBAAAAAABBAABBBBBBAAAABBBBBBAAAABBBBBBAABBAAAAAAAABBBBBBBBAABBAABBBBAABBAAAAAABB"
aa=提示框内容
k1=string.find(aa,"请玩家记住提示信息",1,true)
aa=string.sub(aa,1,k1-2)
for i=1,500 do
	kk=匹配内容(aa,[[([\u4E00-\u9FA5]{1})]])
	if kk~=nil then
		aa=string.gsub(aa,kk,"●")
	end
end
--输出信息(aa)
aa=string.gsub(aa,"","          ")
aa=string.gsub(aa,"●","AA")
aa=string.gsub(aa," ","B")
--输出信息(aa)
as1={}
for i=1,8 do
  bstr=匹配内容(aa,[[([A-B]{34})]])
  if bstr~=nil then
    as1[i]=bstr
    aa=string.gsub(aa,bstr,"",1)
	--输出信息(as1[i])
  end
end
pass1=table.concat{as1[1],as1[2],as1[3],as1[4],as1[5],as1[6],as1[7],as1[8]}

passab={}
k1=1

suziab={}
for i=1,8 do
	suziab[i]=string.sub(pass1,k1,k1+9)
	--输出信息(suziab[i])
	k1=k1+34
end

passab[1]=table.concat{suziab[1],suziab[2],suziab[3],suziab[4],suziab[5],suziab[6],suziab[7],suziab[8]}
--输出信息(passab[1])

k1=13

suziab={}
for i=1,8 do
	suziab[i]=string.sub(pass1,k1,k1+9)
	--输出信息(suziab[i])
	k1=k1+34
end
passab[2]=table.concat{suziab[1],suziab[2],suziab[3],suziab[4],suziab[5],suziab[6],suziab[7],suziab[8]}
--输出信息(passab[2])


k1=25

suziab={}
for i=1,8 do
	suziab[i]=string.sub(pass1,k1,k1+9)
	--输出信息(suziab[i])
	k1=k1+34
end
passab[3]=table.concat{suziab[1],suziab[2],suziab[3],suziab[4],suziab[5],suziab[6],suziab[7],suziab[8]}
--输出信息(passab[3])

desuzi={}
for i1=1,3 do
for i2=0,9 do
if passab[i1]==mosuzi[i2] then
  --输出信息(i2)
  desuzi[i1]=i2
end
end
end


passcode=table.concat{desuzi[1],desuzi[2],desuzi[3]}
--输出信息(passcode)
if passcode~=nil then
  发送自定义封包(0,1018,0,0,0,"")
	
	发言(passcode)
    if 当前地图编号~="3" then	
	开始战斗()
	end
end
提示框内容="33333"
end
